LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBInstructionList Class Reference

`#include <SBInstructionList.h>`

## Public Member Functions

| SBInstructionList ()
| SBInstructionList (const SBInstructionList &rhs)
const SBInstructionList & | operator= (const SBInstructionList &rhs)
| ~SBInstructionList ()
bool | IsValid () const
size_t | GetSize ()
lldb::SBInstruction | GetInstructionAtIndex (uint32_t idx)
void | Clear ()
void | AppendInstruction (lldb::SBInstruction inst)
void | Print (FILE *out)
bool | GetDescription (lldb::SBStream &description)
bool | DumpEmulationForAllInstructions (const char *triple)

## Protected Member Functions

void | SetDisassembler (const lldb::DisassemblerSP &opaque_sp)

## Friends

class | SBFunction
class | SBSymbol
class | SBTarget

## Detailed Description

Definition at line 19 of file SBInstructionList.h.

## Constructor & Destructor Documentation

lldb::SBInstructionList::SBInstructionList | ( |  | ) |

lldb::SBInstructionList::SBInstructionList | ( | const SBInstructionList & | rhs | ) |

lldb::SBInstructionList::~SBInstructionList | ( |  | ) |

## Member Function Documentation

void lldb::SBInstructionList::AppendInstruction | ( | lldb::SBInstruction | inst | ) |

void lldb::SBInstructionList::Clear | ( |  | ) |

bool lldb::SBInstructionList::DumpEmulationForAllInstructions | ( | const char * | triple | ) |

bool lldb::SBInstructionList::GetDescription | ( | lldb::SBStream & | description | ) |

lldb::SBInstruction lldb::SBInstructionList::GetInstructionAtIndex | ( | uint32_t | idx | ) |

size_t lldb::SBInstructionList::GetSize | ( |  | ) |

bool lldb::SBInstructionList::IsValid | ( |  | ) | const

const SBInstructionList& lldb::SBInstructionList::operator= | ( | const SBInstructionList & | rhs | ) |

void lldb::SBInstructionList::Print | ( | FILE * | out | ) |

void lldb::SBInstructionList::SetDisassembler | ( | const lldb::DisassemblerSP & | opaque_sp | ) |

protected

## Friends And Related Function Documentation

friend class SBFunction

friend

Definition at line 57 of file SBInstructionList.h.

friend class SBSymbol

friend

Definition at line 58 of file SBInstructionList.h.

friend class SBTarget

friend

Definition at line 59 of file SBInstructionList.h.

The documentation for this class was generated from the following file:

- SBInstructionList.h